#
# Conditional build:
%bcond_with	qt		# use Qt instead of GdkPixbuf for media extraction
%bcond_with	qt4		# use Qt4 instead of Qt5 (if with_qt; only when Qt5 is not installed)
%bcond_without	static_libs	# static library build
%bcond_without	vala		# Vala binding

Summary:	Media art extraction and cache management library
Summary(pl.UTF-8):	Biblioteka do wydobywania okładek i zarządzania ich pamięcią podręczną
Name:		libmediaart
Version:	0.7.0
Release:	4
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libmediaart/0.7/%{name}-%{version}.tar.xz
# Source0-md5:	1a44933d4cd0064e3c76d8d0ddacddc9
URL:		https://github.com/curlybeast/libmediaart
%if %{with qt}
%{!?with_qt4:BuildRequires:	Qt5Gui-devel >= 5.0.0}
%{?with_qt4:BuildRequires:	QtGui-devel >= 4.7.1}
%endif
%{!?with_qt:BuildRequires:	gdk-pixbuf2-devel >= 2.12.0}
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
BuildRequires:	gtk-doc >= 1.8
%{?with_qt:BuildRequires:	libstdc++-devel}
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.16}
BuildRequires:	xz
BuildRequires:	zlib-devel
%if %{with qt}
%{!?with_qt:Requires:	Qt5Gui >= 5.0.0}
%{?with_qt:Requires:	QtGui >= 4.7.1}
%endif
%{!?with_qt:Requires:	gdk-pixbuf2 >= 2.12.0}
Requires:	glib2 >= 1:2.38.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Media art extraction and cache management library.

%description -l pl.UTF-8
Biblioteka do wydobywania okładek i zarządzania ich pamięcią
podręczną.

%package devel
Summary:	Header files for libmediaart library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmediaart
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%if %{with qt}
%{!?with_qt:Requires:	Qt5Gui-devel >= 5.0.0}
%{?with_qt:Requires:	QtGui-devel >= 4.7.1}
%endif
%{!?with_qt:Requires:	gdk-pixbuf2-devel >= 2.12.0}
Requires:	glib2-devel >= 1:2.38.0
Requires:	zlib-devel

%description devel
Header files for libmediaart library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmediaart.

%package static
Summary:	Static libmediaart library
Summary(pl.UTF-8):	Statyczna biblioteka libmediaart
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmediaart library.

%description static -l pl.UTF-8
Statyczna biblioteka libmediaart.

%package apidocs
Summary:	libmediaart API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libmediaart
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libmediaart library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libmediaart.

%package -n vala-libmediaart
Summary:	Vala API for libmediaart library
Summary(pl.UTF-8):	API języka Vala dla biblioteki libmediaart
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-libmediaart
Vala API for libmediaart library.

%description -n vala-libmediaart -l pl.UTF-8
API języka Vala dla biblioteki libmediaart.

%prep
%setup -q

%build
%configure \
	--enable-gdkpixbuf%{?with_qt:=no} \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmediaart-1.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS
%attr(755,root,root) %{_libdir}/libmediaart-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmediaart-1.0.so.0
%{_libdir}/girepository-1.0/MediaArt-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmediaart-1.0.so
%{_includedir}/libmediaart-1.0
%{_datadir}/gir-1.0/MediaArt-1.0.gir
%{_pkgconfigdir}/libmediaart-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmediaart-1.0.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libmediaart

%if %{with vala}
%files -n vala-libmediaart
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libmediaart-1.0.vapi
%endif
%changelog
* Wed Apr 27 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmediaart.git;a=log;h=master

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 7ebe252
- noarch apidocs

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> b1cfa1c
- noarch vala subpackage

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 9fadf0c
- x32 rebuild
- release 2 (by relup.sh)

* Tue Oct 07 2014 Marcin Banasiak <marcin.banasiak@gmail.com> d3c71df
- Update to 0.7.0

* Sun Aug 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 1ca1a3a
- updated to 0.6.0

* Tue Jul 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 0669e6d
- updated to 0.5.0

* Wed Apr 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 074cf61
- updated to 0.4.0

* Sat Mar 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 9663116
- updated to 0.3.0

* Thu Feb 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 687d13d
- updated to 0.2.0 (note: new library name)

* Sat Nov 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 2e9994e
- new (previously a part of tracker)

